<?php
require_once 'application/class/class_panier.php';

/**
 * Fonction parsant une adresse web et ajoutant le prefix http:// si celui-ci n'est pas présent
 * 
 * @param string $sring
 *            : adresse url parsée
 */
function convertToUrl($string)
{
    if (strpos($string, 'http:') !== 0 && strpos($string, 'ftp:') !== 0 && strpos($string, 'https:') !== 0 && strpos($string, 'ftps:') !== 0)
        return Param::getProtocolWeb() . '://' . $string;
    else
        return $string;
}

$array['session']['env'] = array(
    '!imgpath' => '',
    '!mode_html' => 'no'
);
//
// Gestion des Favoris
//
$Favoris = Param::getAccueilFavoris(getValue('langue'));

if (is_array($Favoris)) {
    $i = 0;
    $Theme = '';
    foreach ($Favoris as $key => & $value) {
        if ($Theme != $value['SIEX_THE']) {
            $Theme = $value['SIEX_THE'];
            $array['viewer']['fiche_ident']['theme'][$i] = array(
                '!nom' => $value['SIEX_THE'],
                '!id' => 'fav' . $i,
                '!fonction_rappelle' => 'collapseExpandMenu("fav' . $i . '","img_fav' . $i . '","img_reduire_16x16","' . Trad('Masquer l\'actualité') . '","img_develop_16x16","' . Trad('Afficher l\'actualité') . '");'
            );
            $j = 0;
            $i ++;
        }
        
        // On traite l'adresse URL en ajoutant le préfixe HTTP si celui-ci est absent.
        $url = convertToUrl($value['SIEX_URL']);
        
        $array['viewer']['fiche_ident']['theme'][$i - 1]['favoris'][$j] = array(
            '!nom' => $value['SIEX_NOM'],
            '!url' => "javascript: window.open('" . $url . "');",
            '!ico' => trim($value['SIEX_ICO']),
            '!memo' => $value['CONTMEMO']
        );
        $j ++;
    }
    
    // Fin De la Gestion de favoris
    $array['popup_title'] = Trad('Favoris');
    $obj_xml = new GenXslt();
    
    echo $obj_xml->XslHtml('application/xsl/favoris.xsl', $array);
}